/*
 * ch32sub.h
 *
 *  Created on: Oct 11, 2024
 *      Author: true
 */

#ifndef USER_HW_CH32SUB_H_
#define USER_HW_CH32SUB_H_


#include "CH59x_common.h"
#include <stdint.h>



#define SUB_I2C_ADDR        0x5e

#define SUB_INTR_PORT       GPIOB
#define SUB_INTR_PIN        GPIO_Pin_13
#define SUB_INTR_PIN_NR     13

#define SUB_INT_BTN         (1 << 0)
#define SUB_INT_ACCEL       (1 << 1)
#define SUB_INT_UTX_DONE    (1 << 4)
#define SUB_INT_URX_RCVD    (1 << 5)



void ch32sub_init();
void ch32sub_process();

void ch32sub_rgb_hwen(uint8_t en);



#endif /* USER_DEVICE_CH32SUB_H_ */
